Rasolo
Search

Start | Blogs | Episerver | Episerver 11 upgrade error solution

2019-10-21

Episerver

Episerver 11 upgrade error solution

Many people including me have gotten frustrating dll errors when upgrading Episerver to 11.12.0. It works locally but on the deployment server it breaks. I spent a whole week trying to solve this problem. Eventually what solved it for me was to branch out the main develop branch to a new branch called develop-2, based on an older working version of develop. 

In develop-2 I cherry picked every commit from develop up to the upgrade to see where it broke. Then we reset develop to the older working version and merged in develop-2 to develop (excluding the breaking commits). The breaking stuff was solved later, separately.

The packages that screwed things up were IdentityModel and NewtonSoft.json.